Bug 228559 - net-p2p/rslsync: Update to 2.5.13
Summary: net-p2p/rslsync: Update to 2.5.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2018-05-28 09:30 UTC by Volodymyr Kostyrko
Modified: 2018-07-10 13:11 UTC (History)
3 users (show)

See Also:
joshruehlig: maintainer-feedback+


Attachments
patch to new version (1.39 KB, patch)
2018-05-28 09:30 UTC, Volodymyr Kostyrko
no flags Details | Diff
this patch solved the issue for me (638 bytes, patch)
2018-07-09 21:05 UTC, John Murdoch
no flags Details | Diff
rslsync (2.10 KB, patch)
2018-07-10 03:34 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Volodymyr Kostyrko 2018-05-28 09:30:13 UTC
Created attachment 193775 [details]
patch to new version
Comment 1 Jochen Neumeister freebsd_committer 2018-06-29 14:39:27 UTC
Hi, 2.5.12 failed to build:

http://beefy9.nyi.freebsd.org/data/111amd64-default/473483/logs/rslsync-2.5.12.log
http://beefy11.nyi.freebsd.org/data/head-i386-default/p473483_s335753/logs/rslsync-2.5.12.log

the same with 2.5.13:
http://joneumbox.org/data/11-1-AMD64-ports/2018-06-29_16h37m41s/logs/errors/rslsync-2.5.13.log
http://joneumbox.org/data/11-1-i386-ports/2018-06-29_16h37m41s/logs/errors/rslsync-2.5.13.log

=======================<phase: build          >============================
===>  Building for rslsync-2.5.13
/wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync --dump-sample-config > /wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync.conf.sample
[14:37:47.706] assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303

assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303 (33882125)
*** Signal 6

Stop.
make: stopped in /usr/ports/net-p2p/rslsync
=>> Cleaning up wrkdir
===>  Cleaning for rslsync-2.5.13
build of net-p2p/rslsync | rslsync-2.5.13 ended at Fri Jun 29 16:37:47 CEST 2018
build time: 00:00:01
!!! build failure encountered !!!
Comment 2 joshruehlig 2018-06-29 18:57:11 UTC
I am aware of this issue but do not know a solution. I can build the port fine using ports, but for some reason it doesn't work when using poudriere.

Have you heard of this happening before? It isn't even compiling anything, just executing a binary to produce the sample config file.
Comment 3 Jochen Neumeister freebsd_committer 2018-06-29 20:14:53 UTC
This mistake is very funny. What does the port have to do with Jenkins? Does he usually build well?
Comment 4 joshruehlig 2018-06-29 21:10:53 UTC
I think jenkins is the automation program running on the build servers. But this error might still happen on manual build with poudriere.
Comment 5 John Murdoch 2018-07-09 21:05:35 UTC
Created attachment 195010 [details]
this patch solved the issue for me

It seems as we need --nodaemonm flag … without there seems to be some network connectibvity which is not supported by the jail create from poudriere … at least this is my guess
Comment 6 joshruehlig 2018-07-10 03:24:06 UTC
(In reply to John Murdoch from comment #5)
Awesome, thanks! I have no easy way of testing if this fixes build on the build server, but from reading rslsync's help output, it makes sense this would help in the limited build jail.

I will combine the diff's and approve.
Comment 7 joshruehlig 2018-07-10 03:34:30 UTC
Created attachment 195019 [details]
rslsync

Updates rslsync and fixes build server issue.
Comment 8 commit-hook freebsd_committer 2018-07-10 12:59:57 UTC
A commit references this bug:

Author: joneum
Date: Tue Jul 10 12:59:43 UTC 2018
New revision: 474362
URL: https://svnweb.freebsd.org/changeset/ports/474362

Log:
  Update to 2.5.13

  unbreak for pkg-fallout:
  =======================<phase: build          >============================
  ===>  Building for rslsync-2.5.13
  /wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync --dump-sample-config > /wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync.conf.sample
  [14:37:47.706] assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303

  assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303 (33882125)
  *** Signal 6

  PR:		228559
  Submitted by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)

Changes:
  head/net-p2p/rslsync/Makefile
  head/net-p2p/rslsync/distinfo
Comment 9 Jochen Neumeister freebsd_committer 2018-07-10 13:01:35 UTC
Landed. Thanks :-)
Comment 10 commit-hook freebsd_committer 2018-07-10 13:11:11 UTC
A commit references this bug:

Author: joneum
Date: Tue Jul 10 13:11:03 UTC 2018
New revision: 474366
URL: https://svnweb.freebsd.org/changeset/ports/474366

Log:
  MFH: r474362

  Update to 2.5.13

  unbreak for pkg-fallout:
  =======================<phase: build          >============================
  ===>  Building for rslsync-2.5.13
  /wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync --dump-sample-config > /wrkdirs/usr/ports/net-p2p/rslsync/work/rslsync-2.5.13/rslsync.conf.sample
  [14:37:47.706] assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303

  assert failed /home/jenkins/slave-root/workspace/Build-Sync-Manually/btlog.cpp:303 (33882125)
  *** Signal 6

  PR:		228559
  Submitted by:	Volodymyr Kostyrko <arcade@b1t.name> (maintainer)

  Approved by:	ports-secteam (miwi via irc)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/net-p2p/rslsync/Makefile
  branches/2018Q3/net-p2p/rslsync/distinfo